Commit 12499814 authored by Niels Möller's avatar Niels Möller

Version number update for Nettle-3.6

* configure.ac: Bump package version to 3.6.
(LIBNETTLE_MINOR): Bump minor number, now 7.1.
(LIBHOGWEED_MINOR): Bump minor numbers, now 5.1
parent 5095df6d
2020-03-26 Niels Möller <nisse@lysator.liu.se>
* configure.ac: Bump package version to 3.6.
(LIBNETTLE_MINOR): Bump minor number, now 7.1.
(LIBHOGWEED_MINOR): Bump minor numbers, now 5.1
2020-03-14 Niels Möller <nisse@lysator.liu.se>
From H.J. Lu:
......
......@@ -66,6 +66,10 @@ NEWS for the Nettle 3.6 release
8439 in Nettle-3.1, but that was not documented or announced
at the time.
The shared library names are libnettle.so.7.1 and
libhogweed.so.5.1. It is intended to be fully binary
compatible with nettle-3.5.
NEWS for the Nettle 3.5.1 release
The Nettle-3.5.1 corrects a packaging mistake in Nettle-3.5.
......
......@@ -2,7 +2,7 @@ dnl -*- mode: shell-script; sh-indentation: 2; -*-
dnl Process this file with autoconf to produce a configure script.
AC_INIT([nettle], [3.5.1], [nettle-bugs@lists.lysator.liu.se])
AC_INIT([nettle], [3.6], [nettle-bugs@lists.lysator.liu.se])
AC_PREREQ(2.61)
AC_CONFIG_SRCDIR([arcfour.c])
# Needed to stop autoconf from looking for files in parent directories.
......@@ -11,10 +11,10 @@ AC_CONFIG_AUX_DIR([.])
AC_CONFIG_HEADER([config.h])
LIBNETTLE_MAJOR=7
LIBNETTLE_MINOR=0
LIBNETTLE_MINOR=1
LIBHOGWEED_MAJOR=5
LIBHOGWEED_MINOR=0
LIBHOGWEED_MINOR=1
dnl Note double square brackets, for extra m4 quoting.
MAJOR_VERSION=`echo $PACKAGE_VERSION | sed 's/^\([[^.]]*\)\..*/\1/'`
......
Markdown is supported
0% or
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment